%define src_ver 20000710
%define languagelocal deutsch
%define languageeng german
%define languagecode de

Summary: 	German files for ispell
Name: 		ispell-%{languagecode} 
Version: 	3.1.20
Release: 	17mdk
URL: 		http://www.suse.de/~bjacke/igerman98/
Source:		http://www.suse.de/~bjacke/igerman98/dict/igerman98-%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRequires:	ispell
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: ispell-german
Obsoletes: igerman

%description
This package has the German dictionary files for ispell.
With it you can check the spelling of German text files or LaTeX files
written in German.

%prep
%setup -n igerman98-%{src_ver}
make all.words
mv german.aff deutsch.aff
mv -f all.words %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc Documentation/*
%{_libdir}/ispell/*

%changelog
* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1.20-17mdk
- BuildRequires: ispell

* Fri Sep 01 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-16mdk
- updated to igerman98-20000710

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-15mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-14mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.20-13mdk
- BM

* Sat Jun 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-12mdk
- corrected the BuildRoot entry

* Thu Jun 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-11mdk
- First version for Mandrake.
- Uses new German spelling rules

